name: Manual trigger for testing github actions development

on:
  workflow_dispatch:
    inputs:
      testplan:
        type: string
        required: true
        description: 'URL/PATH of the testplan to run'
        default: 'tests/github_actions/defaults/7.1.x.yml,tests/github_actions/module-usercentrics.yml'
      runs_on:
        type: string
        description: 'JSON string/array describing the runner'
        required: true
        default: '"ubuntu-latest"'

jobs:
  call_matrix:
    uses: OXID-eSales/github-actions/.github/workflows/call-universal_test_workflow.yml@v0
    with:
      testplan: ${{ inputs.testplan }}
      runs_on: ${{ inputs.runs_on }}
      defaults: 'v0'
    secrets:
      DOCKER_HUB_USER: ${{ secrets.DOCKER_HUB_USER }}
      DOCKER_HUB_TOKEN: ${{ secrets.DOCKER_HUB_TOKEN }}
      CACHE_ENDPOINT: ${{ secrets.CACHE_ENDPOINT }}
      CACHE_ACCESS_KEY: ${{ secrets.CACHE_ACCESS_KEY }}
      CACHE_SECRET_KEY: ${{ secrets.CACHE_SECRET_KEY }}
      enterprise_github_token: ${{ secrets.enterprise_github_token }}
      SONAR_TOKEN: ${{ secrets.SONAR_TOKEN }}
      SLACK_WEBHOOK_URL: ${{ secrets.SLACK_WEBHOOK_URL }}
